MARTe2-core - User story #169

Merge into the develop branch the contents of the "windows" branch
21.07.2015 18:32 - lvan Herrero

Status: Closed Start date: 21.07.2015
Priority: High Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.6 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

The windows branch will contain the modification needed to generate DLL's on Windows without using the "friends idiom".
Note: At 21/07/2015 this branch is not create, yet. It will be created and maintained by Giuseppe and Filippo.

Port the IOBuffer classes from the develop_svn branch.
The IOBuffer classes contain all the infrastructure that is common to all the streams.

Source code files modified

Almost all files to add the export DLL_API macro

Architecture & design review

Date of the review: 22/10/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: PASS

Code and documentation review

Date of the review: 22/10/2015

Person who did the review: André Neto

Result of review: PASS (Windows specific files not linted, i.e. linting performed in Linux).

List of non-conformities: N/A.

Unit test review

Date of the review: 22/10/2015

Person who did the review: PASS

Result of coverage tests review: PASS (Checked in Linux)

Result of functional tests review: PASS (Some windows tests fail).

Result of review: PASS (Given that in Linux the tests are successful).
List of non-conformities:
The following tests fail in Windows

e | oadableLibrary.” (A test with a true DLL is missing)

¢ MutexSemGTest.TestlsRecursive (Recursive semaphores are not supported in Windows)
¢ MutexSemGTest.TestRecursiveOff (Recursive semaphores are not supported in Windows)

Associated revisions

Revision b5abb684 - 04.08.2015 13:52 - Giuseppe Ferro
List of Changes:

-Added DLL_EXPORT macro to all classes and functions.

-Added DLLOBUJS variable in makefile due to collect all the object files
names (OperatingSystem/Windows path included) and fixed rules to

generate dll and def files.
-Added expdef executable used to generate a def file from a dll.

-Since some threads tests which use the ThreadsDatabase should begin
with the database empty to return successful now before to begin they

wait (with timeout) that threads of previous tests terminate.

User Story: #169

Revision 2cc63fc9 - 04.08.2015 17:57 - Giuseppe Ferro

List of changes:
-Added empty definitions of dIl_import and dll_export in Linux
GeneralDefinitionsOS otherwise it does not compile.

UserStory: #169

Revision 58b0380d - 28.09.2015 10:15 - Giuseppe Ferro

Solved all compile errors in windows.
#169

Revision eb563c99 - 28.09.2015 13:15 - Giuseppe Ferro

Solved minor issues in tests.
#169

Revision b3618085 - 29.09.2015 07:28 - Giuseppe Ferro

Added DDL macros
#169

Revision 04548081 - 01.10.2015 10:54 - Giuseppe Ferro

Corrected the linux version.
#169

Revision 74c57eb7 - 01.10.2015 11:06 - Giuseppe Ferro

added clean of .def files also in linux
#169

Revision 0ebfc0b0 - 20.10.2015 18:47 - André Neto

Merge remote-tracking branch 'origin/#238.2_Streams_Test' into
#169_Windows_Porting

Conflicts:
Source/Core/BareMetal/L1Portability/GlobalObjectsDatabase.h
Source/Core/BareMetal/L1Portability/Makefile.msc
Source/Core/BareMetal/Makefile.inc
Source/Core/Scheduler/Makefile.inc
Source/Core/Scheduler/Makefile.msc

Test/GTest/Makefile.inc

Revision e5b7542c - 21.10.2015 10:35 - Giuseppe Ferro

Merge remote-tracking branch 'origin/#238.2_Streams_Test' into
#169_Windows_Porting
Conflicts:
Test/Core/BareMetal/L0Types/Makefile.inc
Test/Core/BareMetal/L20bjects/ReferenceTest.cpp
Test/GTest/Makefile.inc

Revision 8e5b51ef - 21.10.2015 17:42 - André Neto
#169 Corrected the depends generation

Revision ef6a758b - 21.10.2015 18:08 - André Neto

#169 Removed static library includes

Revision e4ffa562 - 22.10.2015 11:46 - André Neto

#169 removed unnecessary DLL_API macros

Revision 619628cf - 22.10.2015 12:13 - André Neto
Merge branch '#169_Windows_Porting' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into #169_Windows_Porting

Revision a43a42a4 - 22.10.2015 13:11 - André Neto

#169 changed ErrorManagement and ThreadInformation to Generic

Revision 332add79 - 22.10.2015 13:12 - André Neto
Merge branch '#238.2_Streams_Test' into #169_Windows_Porting

Revision 304c13ec - 22.10.2015 15:51 - André Neto

#169 merged with #238 and cleaned common linting problems

Revision 1f87e688 - 23.10.2015 09:48 - André Neto

#169 Minor modification to include correct path to expdef.exe

History

#1 - 21.07.2015 18:33 - lvan Herrero

- Target version set to Backlog

#2 - 21.07.2015 18:35 - lvan Herrero

- Subject changed from Merge into the develop branch the contents of the windows to Merge into the develop branch the contents of the "windows"
branch

- Description updated

#3 - 30.07.2015 09:43 - André Neto

- Target version changed from Backlog to 0.3

#4 - 04.08.2015 12:04 - Riccardo Vitelli
- Status changed from New to Code: Impl

#5 - 04.08.2015 12:07 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#6 - 04.08.2015 15:52 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#7 - 04.08.2015 15:54 - Giuseppe Ferro
Code implementation done: b5abb68

#8 - 04.08.2015 15:54 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#9 - 24.08.2015 15:14 - Riccardo Vitelli
- Target version changed from 0.3 to 0.4

#10 - 25.08.2015 09:17 - Riccardo Vitelli
- Status changed from Code: Rev to Code: Impl

#11 - 08.09.2015 12:41 - André Neto

- Target version changed from 0.4 to 0.5

#12 - 29.09.2015 12:26 - André Neto

- Assignee set to Giuseppe Ferro

#13 - 29.09.2015 12:26 - André Neto

- Target version changed from 0.5 to 0.6

#14 - 01.10.2015 11:09 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev
- Assignee deleted (Giuseppe Ferro)

Code implementation done: 74c57eb

#15 - 22.10.2015 16:45 - André Neto

- Description updated

#16 - 22.10.2015 16:46 - André Neto

- Assignee set to André Neto

#17 - 22.10.2015 16:46 - André Neto
- Assignee deleted (André Neto)

#18 - 22.10.2015 16:46 - André Neto
- Status changed from Code: Rev to Unit: Impl

#19 - 22.10.2015 16:46 - André Neto

- Assignee set to Giuseppe Ferro

#20 - 22.10.2015 16:46 - André Neto
- Assignee deleted (Giuseppe Ferro)

#21 - 22.10.2015 16:46 - André Neto
- Status changed from Unit: Impl to Unit: Rev

#22 - 22.10.2015 16:46 - André Neto

- Assignee set to André Neto

#23 - 22.10.2015 17:42 - André Neto

- Description updated

#24 - 23.10.2015 09:29 - André Neto
- Description updated

- Assignee deleted (André Neto)

#25 - 23.10.2015 09:46 - André Neto

- Description updated

#26 - 23.10.2015 11:24 - Riccardo Vitelli
- Status changed from Unit: Rev to Closed
